Bug 554959 - Assertion failure in _XAllocID inside XCreatePixmap running /home/france/.screenlets/GraphicalSystemStats/GraphicalSystemStatsScreenlet.py
Assertion failure in _XAllocID inside XCreatePixmap running /home/france/.scr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libxcb (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:b72e084f2dd0201b33509273ff3...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-13 03:00 EST by francesco.pasqualetti
Modified: 2010-12-03 19:28 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 19:28:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (50.64 KB, text/plain)
2010-01-13 03:00 EST, francesco.pasqualetti
no flags Details

  None (edit)
Description francesco.pasqualetti 2010-01-13 03:00:03 EST
abrt 1.0.3 detected a crash.

Attached file: backtrace
cmdline: python -u /home/france/.screenlets/GraphicalSystemStats/GraphicalSystemStatsScreenlet.py
component: python
executable: /usr/bin/python
kernel: 2.6.31.9-174.fc12.i686
package: python-2.6.2-2.fc12
rating: 4
reason: Process was terminated by signal 6 (Aborted)
Comment 1 francesco.pasqualetti 2010-01-13 03:00:07 EST
Created attachment 383427 [details]
File: backtrace
Comment 2 Dave Malcolm 2010-01-13 19:09:58 EST
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -q cairo

Which version of screenlets are you running?  (Note that screenlets is not yet in Fedora - see bug 484644 for the package review).    

This problem looks similar to bug 554011, but I'm not sure if the two bugs are duplicates of each other.

Looking at the backtrace, it looks like an assertion failed inside frame 3 of the program's single thread inside _XAllocID running _cairo_xlib_surface_create_similar.

Reassigning component from "python" to "cairo";  hopefully the cairo maintainer will be able to figure this out further or reassign as necessary.
Comment 3 francesco.pasqualetti 2010-01-14 08:47:22 EST
Hi, 

the abrt error message appears on every logon after booting, but the screenlet seems to work anyway.

$ rpm -q cairo
cairo-1.8.8-3.fc12.i686

On the information screen of the Screenlets Manager is reported
Screenlets 0.1.2
and the relative package is 
$ rpm -q screenlets
screenlets-0.1.2-7.fc11.noarch

I don't know how to debug, I just submitted the crash from abrt...
Comment 4 Behdad Esfahbod 2010-02-02 11:11:34 EST
Matej, why reassign to cairo?!
Comment 5 Matěj Cepl 2010-02-02 12:12:05 EST
(In reply to comment #4)
> Matej, why reassign to cairo?!    

My mistake. It seems that the relevant discussion could be http://lists.freedesktop.org/archives/xcb/2009-October/005102.html and it could be already fixed in the upstream.
Comment 6 leigh scott 2010-03-12 10:21:19 EST
(In reply to comment #3)
> Hi, 
> 
> the abrt error message appears on every logon after booting, but the screenlet
> seems to work anyway.
> 
> $ rpm -q cairo
> cairo-1.8.8-3.fc12.i686
> 
> On the information screen of the Screenlets Manager is reported
> Screenlets 0.1.2
> and the relative package is 
> $ rpm -q screenlets
> screenlets-0.1.2-7.fc11.noarch
> 
> I don't know how to debug, I just submitted the crash from abrt...    

Try using the updated package from the F12 repo

http://www.dfm.uninsubria.it/compiz/fusion/12/i386/screenlets-0.1.2-8.fc12.noarch.rpm
Comment 7 Bug Zapper 2010-11-03 21:06:26 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 19:28:50 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.